Subject: PINE PC/Unix compatability and PCNFS (fwd)

From: John Stumbles <[email-masked]>
Date: Fri, 14 Jan 1994 17:00:40 GMT

I sent this message to pine-bugs but I'm told pine-info is a good place 
to send to as others may have simialr experience/workarounds/whatever
==============================================================================
We are trying to set up PC Pine to be compatible with the Unix hosted 
version already in wide use at this site. 

PINE's use of IMAP thus using the same mailboxes by the PC and Unix hosts
does of course make the two flavours broadly compatible, and as users here
usually mount their home directories with PC-NFS I have been investigating
to what extent the .signature and .addressbook files can be kept in common
between versions. 

I find that both PC (v3.89) and Unix (v3.88) PINE are happy with either
DOS or Unix format .signature files, so provided that the names specified
in the .pinerc and PINERC files are compatible (i.e. Unix filenames map
into DOS filenames without being mangled by PCNFS) then this file can be
common to both types of PINE. 

I find that likewise both flavours of PINE are happy with either format of
address book file, and again provided the names are compatible this would
seem to allow this file to be shared between versions:  unfortunately
however when editing the address book file the DOS version of PINE gives 
an error: 

	Error updating address book: Cross-device link

- and on exit from PINE, the file has been deleted! Oddly this only seems
to happen when the address book file is in the 'root' directory of the
NFS-mounted drive (whether this is the user's home directory or not): if
the file is in a subdirectory of the NFS-mounted drive, or the root 
directory of a real disk or of a SUBSTed drive it is OK. 

PC-NFS version is 5.00, and the filesystems tried have been an Auspex
fileserver and a Sun SPARCStation IPX. Possibly the problem is with
PC-NFS, hence the copy to the CHEST-PCNFS list - has anyone seen similar
funnies with PC-NFS-mounted files?

John Stumbles
[email-masked]                                          0734 318435
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+